
QGIS Application - Bug report #15813

UnicodeDecodeError when switching project

2016-11-04 05:14 AM - Adam Szieberth

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23733

Description

When I swich between two projects (both has accented characters in filepath) I get the following error dialog:

Hiba történt a következő kód végrehajtása közben:

sys.path.remove(u'Z:/munkáink/2016/2.04 humuszos termőréteg mentése/végleges kivonás/harkány 0276-71 hrsz végleges

(albrecht ferenc) 105-16/qgis'); sys.path.append(u'Z:/munkáink/2016/2.04 humuszos termőréteg mentése/végleges

kivonás/túrony  023-6 hrsz végleges (molnár attila) 104-16/qgis')

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 79, in showWarning

    u"warning:{}\

traceback:{}".format(warnings.formatwarning(message, category, decoded_filename, lineno), stk),

  File "C:\\OSGeo4W\\apps\\Python27\\lib\\warnings.py", line 39, in formatwarning

    line = linecache.getline(filename, lineno) if line is None else line

  File "C:\\OSGeo4W\\apps\\Python27\\lib\\linecache.py", line 14, in getline

    lines = getlines(filename, module_globals)

  File "C:\\OSGeo4W\\apps\\Python27\\lib\\linecache.py", line 40, in getlines

    return updatecache(filename, module_globals)

  File "C:\\OSGeo4W\\apps\\Python27\\lib\\linecache.py", line 115, in updatecache

    fullname = os.path.join(dirname, basename)

  File "C:\\OSGeo4W\\apps\\Python27\\lib\

tpath.py", line 108, in join

    path += "\\\\" + b

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe1 in position 36: ordinal not in range(128)

Python verzió:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS verzió:

2.18.0 'Las Palmas', 0332f5a

Python elérési út:

['C:/OSGeo4W/apps/qgis/./python/plugins\\\\processing', 'C:/OSGeo4W/apps/qgis/./python', u'C:/Documents and

Settings/Tihanyi Kl\\xe1ri/.qgis2/python', u'C:/Documents and Settings/Tihanyi Kl\\xe1ri/.qgis2/python/plugins',

'C:/OSGeo4W/apps/qgis/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',
'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win32.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\python_dateutil-2.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2014.2-py2.7.egg', u'C:/Documents and Settings/Tihanyi

Kl\\xe1ri/.qgis2//python', 'C:\\\\Documents and Settings\\\\Tihanyi Kl\\xe1ri\\\\.qgis2\\\\python\\\\plugins\\\\DigitizingTools\\\\tools',

'C:\\\\Documents and Settings\\\\Tihanyi Kl\\xe1ri\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms', '.',

u'Z:/munk\\xc3\\xa1ink/2016/2.04 humuszos term\\xc5\\x91r\\xc3\\xa9teg ment\\xc3\\xa9se/v\\xc3\\xa9gleges

kivon\\xc3\\xa1s/hark\\xc3\\xa1ny 0276-71 hrsz v\\xc3\\xa9gleges (albrecht ferenc) 105-16/qgis']

The pickled formatwarning arguments are in the attachment.

They are the following:

[UnicodeWarning('Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal',),

<type 'exceptions.UnicodeWarning'>, u'__main__', 1]

Feeding them to warnings.formatwarning yields no error:

>>> import warnings

>>> warnings.formatwarning(*formatwarning_args)

u'__main__:1: UnicodeWarning: Unicode equal comparison failed to convert both ar

guments to Unicode - interpreting them as being unequal\

'

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-02-23 10:45 AM - Paolo Cavallini

- Description updated

Possibly obsolete?

#4 - 2019-02-23 11:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Possibly obsolete?
Please put the ticket in "feedback" status when needed (is not the first time I ask you to follow this simple rule, thanks).

#5 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
